Index: squid3/src/errorpage.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/errorpage.cc,v
retrieving revision 1.23
retrieving revision 1.23.6.1
diff -u -r1.23 -r1.23.6.1
--- squid3/src/errorpage.cc	4 Sep 2004 02:13:21 -0000	1.23
+++ squid3/src/errorpage.cc	25 Apr 2005 13:37:10 -0000	1.23.6.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: errorpage.cc,v 1.23 2004/09/04 02:13:21 squidadm Exp $
+ * $Id: errorpage.cc,v 1.23.6.1 2005/04/25 13:37:10 rmartinez Exp $
  *
  * DEBUG: section 4     Error Generation
  * AUTHOR: Duane Wessels
@@ -512,7 +512,7 @@
     memBufPrintf(&str, "TimeStamp: %s\r\n\r\n", mkrfc1123(squid_curtime));
 
     /* - IP stuff */
-    memBufPrintf(&str, "ClientIP: %s\r\n", inet_ntoa(err->src_addr));
+    memBufPrintf(&str, "ClientIP: %s\r\n", INET_NTOA(err->src_addr));
 
     if (err->host) {
         memBufPrintf(&str, "ServerIP: %s\r\n", err->host);
@@ -656,7 +656,7 @@
         break;
 
     case 'i':
-        memBufPrintf(&mb, "%s", inet_ntoa(err->src_addr));
+        memBufPrintf(&mb, "%s", INET_NTOA(err->src_addr));
 
         break;
 
Index: squid3/src/external_acl.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/external_acl.cc,v
retrieving revision 1.37.6.1
retrieving revision 1.37.6.2
diff -u -r1.37.6.1 -r1.37.6.2
--- squid3/src/external_acl.cc	19 Apr 2005 10:58:16 -0000	1.37.6.1
+++ squid3/src/external_acl.cc	25 Apr 2005 13:37:19 -0000	1.37.6.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: external_acl.cc,v 1.37.6.1 2005/04/19 10:58:16 rmartinez Exp $
+ * $Id: external_acl.cc,v 1.37.6.2 2005/04/25 13:37:19 rmartinez Exp $
  *
  * DEBUG: section 82    External ACL
  * AUTHOR: Henrik Nordstrom, MARA Systems AB
@@ -741,7 +741,7 @@
 #endif
 
         case _external_acl_format::EXT_ACL_SRC:
-            str = inet_ntoa(ch->src_addr);
+            str = INET_NTOA(ch->src_addr);
             break;
 
         case _external_acl_format::EXT_ACL_SRCPORT:
@@ -750,7 +750,7 @@
             break;
 
         case _external_acl_format::EXT_ACL_MYADDR:
-            str = inet_ntoa(request->my_addr);
+            str = INET_NTOA(request->my_addr);
             break;
 
         case _external_acl_format::EXT_ACL_MYPORT:
Index: squid3/src/forward.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/forward.cc,v
retrieving revision 1.35.4.2
retrieving revision 1.35.4.3
diff -u -r1.35.4.2 -r1.35.4.3
--- squid3/src/forward.cc	19 Apr 2005 10:58:16 -0000	1.35.4.2
+++ squid3/src/forward.cc	25 Apr 2005 13:37:29 -0000	1.35.4.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: forward.cc,v 1.35.4.2 2005/04/19 10:58:16 rmartinez Exp $
+ * $Id: forward.cc,v 1.35.4.3 2005/04/25 13:37:29 rmartinez Exp $
  *
  * DEBUG: section 17    Request Forwarding
  * AUTHOR: Duane Wessels
@@ -618,7 +618,7 @@
     tos = getOutgoingTOS(fwdState->request);
 
     debug(17, 3) ("fwdConnectStart: got addr %s, tos %d\n",
-                  inet_ntoa(outgoing), tos);
+                  INET_NTOA(outgoing), tos);
 
     fd = comm_openex(SOCK_STREAM,
                      IPPROTO_TCP,
Index: squid3/src/fqdncache.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/fqdncache.cc,v
retrieving revision 1.9.2.4
retrieving revision 1.9.2.5
diff -u -r1.9.2.4 -r1.9.2.5
--- squid3/src/fqdncache.cc	19 Apr 2005 10:58:16 -0000	1.9.2.4
+++ squid3/src/fqdncache.cc	25 Apr 2005 13:37:39 -0000	1.9.2.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: fqdncache.cc,v 1.9.2.4 2005/04/19 10:58:16 rmartinez Exp $
+ * $Id: fqdncache.cc,v 1.9.2.5 2005/04/25 13:37:39 rmartinez Exp $
  *
  * DEBUG: section 35    FQDN Cache
  * AUTHOR: Harvest Derived
@@ -430,32 +430,13 @@
     fqdncacheCallback(f);
 }
 
-#if ENABLE_IPV6
-      	char fqdncache_nbgethostbyaddr_namebuf[NI_MAXHOST];
-#endif
-
 void
-<<<<<<< fqdncache.cc
-#if ENABLE_IPV6
-fqdncache_nbgethostbyaddr(struct inaddr_storage * addr6, FQDNH * handler, void *handlerData)
-#else
-fqdncache_nbgethostbyaddr(struct in_addr addr, FQDNH * handler, void *handlerData)
-#endif
-=======
 
 fqdncache_nbgethostbyaddr(struct IN_ADDR addr, FQDNH * handler, void *handlerData)
->>>>>>> 1.12
 {
     fqdncache_entry *f = NULL;
-    char * name;
+    char *name = (char *)INET_NTOA(addr);
     generic_cbdata *c;
-    
-#if ENABLE_IPV6
-    name = inet6_network_byte_order_to_address_string(addr6);
-#else
-    name = inet_ntoa(addr);
-#endif
-
     assert(handler);
     debug(35, 4) ("fqdncache_nbgethostbyaddr: Name '%s'.\n", name);
     FqdncacheStats.requests++;
@@ -511,12 +492,8 @@
     dnsSubmit(hashKeyStr(&f->hash), fqdncacheHandleReply, c);
 #else
 
-#if ENABLE_IPV6
-    idnsPTRLookup(addr6, fqdncacheHandleReply, c);
-#else
     idnsPTRLookup(addr, fqdncacheHandleReply, c);
 #endif
-#endif
 }
 
 /* initialize the fqdncache */
@@ -552,30 +529,14 @@
                 sizeof(fqdncache_entry), 0);
 }
 
-
 const char *
-<<<<<<< fqdncache.cc
-#if ENABLE_IPV6
-fqdncache_gethostbyaddr(struct inaddr_storage * addr6, int flags)
-#else
-fqdncache_gethostbyaddr(struct in_addr addr, int flags)
-#endif
-=======
 
 fqdncache_gethostbyaddr(struct IN_ADDR addr, int flags)
->>>>>>> 1.12
 {
-#if ENABLE_IPV6
-    char * name = inet6_network_byte_order_to_address_string(addr6);
-#else
-    char * name = inet_ntoa(addr);
-#endif
+    char *name = (char *)INET_NTOA(addr);
     fqdncache_entry *f = NULL;
 
-<<<<<<< fqdncache.cc
-=======
     struct IN_ADDR ip;
->>>>>>> 1.12
     assert(name);
     FqdncacheStats.requests++;
     f = fqdncache_get(name);
@@ -604,7 +565,11 @@
 
     /* check if it's already a FQDN address in text form. */
 
-    if (!is_numeric_ip_address(name))
+#ifdef INET6
+    if (!safe_inet6_addr(name, &ip))
+#else
+    if (!safe_inet_addr(name, &ip))
+#endif
         return name;
 
     FqdncacheStats.misses++;
@@ -683,7 +648,7 @@
     if (Config.onoff.log_fqdn && (n = fqdncache_gethostbyaddr(addr, 0)))
         return n;
 
-    xstrncpy(buf, inet_ntoa(addr), 32);
+    xstrncpy(buf, INET_NTOA(addr), 32);
 
     return buf;
 }
Index: squid3/src/ftp.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ftp.cc,v
retrieving revision 1.26.2.1
retrieving revision 1.26.2.2
diff -u -r1.26.2.1 -r1.26.2.2
--- squid3/src/ftp.cc	12 Mar 2005 03:19:50 -0000	1.26.2.1
+++ squid3/src/ftp.cc	25 Apr 2005 13:37:48 -0000	1.26.2.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ftp.cc,v 1.26.2.1 2005/03/12 03:19:50 mediumnet Exp $
+ * $Id: ftp.cc,v 1.26.2.2 2005/04/25 13:37:48 rmartinez Exp $
  *
  * DEBUG: section 9     File Transfer Protocol (FTP)
  * AUTHOR: Harvest Derived
@@ -2102,7 +2102,7 @@
 {
     int fd;
 
-    struct sockaddr_in addr;
+    struct SOCKADDR_IN addr;
     socklen_t addr_len;
 
     if (ftpState->request->method == METHOD_HEAD) {
@@ -2281,7 +2281,7 @@
 {
     int fd;
 
-    struct sockaddr_in addr;
+    struct SOCKADDR_IN addr;
     socklen_t addr_len;
     int on = 1;
     u_short port = 0;
@@ -2345,7 +2345,7 @@
 {
     int fd;
 
-    struct sockaddr_in addr;
+    struct SOCKADDR_IN addr;
     socklen_t addr_len;
     unsigned char *addrptr;
     unsigned char *portptr;
@@ -2402,7 +2402,7 @@
     }
 
     if (Config.Ftp.sanitycheck) {
-        char *ipaddr = inet_ntoa(details->peer.sin_addr);
+        char *ipaddr = INET_NTOA(details->peer.sin_addr);
 
         if (strcmp(fd_table[ftpState->ctrl.fd].ipaddr, ipaddr) != 0) {
             debug(9, 1) ("FTP data connection from unexpected server (%s:%d), expecting %s\n", ipaddr, (int) ntohs(details->peer.sin_port), fd_table[ftpState->ctrl.fd].ipaddr);
@@ -2428,7 +2428,7 @@
 
     ftpState->data.port = ntohs(details->peer.sin_port);
 
-    ftpState->data.host = xstrdup(inet_ntoa(details->peer.sin_addr));
+    ftpState->data.host = xstrdup(INET_NTOA(details->peer.sin_addr));
 
     commSetTimeout(ftpState->ctrl.fd, -1, NULL, NULL);
 
Index: squid3/src/globals.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/globals.h,v
retrieving revision 1.17.2.4
retrieving revision 1.17.2.5
diff -u -r1.17.2.4 -r1.17.2.5
--- squid3/src/globals.h	19 Apr 2005 10:58:16 -0000	1.17.2.4
+++ squid3/src/globals.h	25 Apr 2005 13:38:09 -0000	1.17.2.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: globals.h,v 1.17.2.4 2005/04/19 10:58:16 rmartinez Exp $
+ * $Id: globals.h,v 1.17.2.5 2005/04/25 13:38:09 rmartinez Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -103,14 +103,7 @@
 
 extern struct _acl_deny_info_list *DenyInfoList;	/* NULL */
 
-<<<<<<< globals.h
-#if ENABLE_IPV6
-extern struct inaddr_storage no_addr6;
-#else
-extern struct in_addr any_addr;
-=======
 extern struct IN_ADDR any_addr;
->>>>>>> 1.21
 
 extern struct IN_ADDR local_addr;
 
@@ -118,12 +111,7 @@
 
 extern struct IN_ADDR theOutICPAddr;
 
-<<<<<<< globals.h
-extern struct in_addr theOutSNMPAddr;
-#endif
-=======
 extern struct IN_ADDR theOutSNMPAddr;
->>>>>>> 1.21
 
 extern struct timeval current_time;
 
Index: squid3/src/htcp.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/htcp.cc,v
retrieving revision 1.15
retrieving revision 1.15.6.1
diff -u -r1.15 -r1.15.6.1
--- squid3/src/htcp.cc	31 Aug 2004 02:14:28 -0000	1.15
+++ squid3/src/htcp.cc	25 Apr 2005 13:38:18 -0000	1.15.6.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: htcp.cc,v 1.15 2004/08/31 02:14:28 squidadm Exp $
+ * $Id: htcp.cc,v 1.15.6.1 2005/04/25 13:38:18 rmartinez Exp $
  *
  * DEBUG: section 31    Hypertext Caching Protocol
  * AUTHOR: Duane Wesssels
@@ -132,7 +132,7 @@
     void checkHit();
     void checkedHit(StoreEntry *e);
 
-    void setFrom (struct sockaddr_in *from);
+    void setFrom (struct SOCKADDR_IN *from);
     void setDataHeader (htcpDataHeader *);
     char *method;
     char *uri;
@@ -142,7 +142,7 @@
 private:
     HttpRequest *checkHitRequest;
 
-    struct sockaddr_in *from;
+    struct SOCKADDR_IN *from;
     htcpDataHeader *dhdr;
 };
 
@@ -227,26 +227,26 @@
 static void htcpFreeSpecifier(htcpSpecifier * s);
 static void htcpFreeDetail(htcpDetail * s);
 
-static void htcpHandle(char *buf, int sz, struct sockaddr_in *from);
+static void htcpHandle(char *buf, int sz, struct SOCKADDR_IN *from);
 
-static void htcpHandleData(char *buf, int sz, struct sockaddr_in *from);
+static void htcpHandleData(char *buf, int sz, struct SOCKADDR_IN *from);
 
-static void htcpHandleMon(htcpDataHeader *, char *buf, int sz, struct sockaddr_in *from);
+static void htcpHandleMon(htcpDataHeader *, char *buf, int sz, struct SOCKADDR_IN *from);
 
-static void htcpHandleNop(htcpDataHeader *, char *buf, int sz, struct sockaddr_in *from);
+static void htcpHandleNop(htcpDataHeader *, char *buf, int sz, struct SOCKADDR_IN *from);
 
-static void htcpHandleSet(htcpDataHeader *, char *buf, int sz, struct sockaddr_in *from);
+static void htcpHandleSet(htcpDataHeader *, char *buf, int sz, struct SOCKADDR_IN *from);
 
-static void htcpHandleTst(htcpDataHeader *, char *buf, int sz, struct sockaddr_in *from);
+static void htcpHandleTst(htcpDataHeader *, char *buf, int sz, struct SOCKADDR_IN *from);
 static void htcpRecv(int fd, void *data);
 
-static void htcpSend(const char *buf, int len, struct sockaddr_in *to);
+static void htcpSend(const char *buf, int len, struct SOCKADDR_IN *to);
 
-static void htcpTstReply(htcpDataHeader *, StoreEntry *, htcpSpecifier *, struct sockaddr_in *);
+static void htcpTstReply(htcpDataHeader *, StoreEntry *, htcpSpecifier *, struct SOCKADDR_IN *);
 
-static void htcpHandleTstRequest(htcpDataHeader *, char *buf, int sz, struct sockaddr_in *from);
+static void htcpHandleTstRequest(htcpDataHeader *, char *buf, int sz, struct SOCKADDR_IN *from);
 
-static void htcpHandleTstResponse(htcpDataHeader *, char *, int, struct sockaddr_in *);
+static void htcpHandleTstResponse(htcpDataHeader *, char *, int, struct SOCKADDR_IN *);
 
 static void
 htcpHexdump(const char *tag, const char *s, int sz)
@@ -529,16 +529,16 @@
 
 static void
 
-htcpSend(const char *buf, int len, struct sockaddr_in *to)
+htcpSend(const char *buf, int len, struct SOCKADDR_IN *to)
 {
     int x;
     debug(31, 3) ("htcpSend: %s/%d\n",
-                  inet_ntoa(to->sin_addr), (int) ntohs(to->sin_port));
+                  INET_NTOA(to->sin_addr), (int) ntohs(to->sin_port));
     htcpHexdump("htcpSend", buf, len);
     x = comm_udp_sendto(htcpOutSocket,
                         to,
 
-                        sizeof(struct sockaddr_in),
+                        sizeof(struct SOCKADDR_IN),
                         buf,
                         len);
 
@@ -554,7 +554,7 @@
 
 void
 
-htcpSpecifier::setFrom (struct sockaddr_in *aSocket)
+htcpSpecifier::setFrom (struct SOCKADDR_IN *aSocket)
 {
     from = aSocket;
 }
@@ -708,7 +708,7 @@
 
 static void
 
-htcpTstReply(htcpDataHeader * dhdr, StoreEntry * e, htcpSpecifier * spec, struct sockaddr_in *from)
+htcpTstReply(htcpDataHeader * dhdr, StoreEntry * e, htcpSpecifier * spec, struct SOCKADDR_IN *from)
 {
     htcpStuff stuff;
     char *pkt;
@@ -794,7 +794,7 @@
 
 static void
 
-htcpHandleNop(htcpDataHeader * hdr, char *buf, int sz, struct sockaddr_in *from)
+htcpHandleNop(htcpDataHeader * hdr, char *buf, int sz, struct SOCKADDR_IN *from)
 {
     debug(31, 3) ("htcpHandleNop: Unimplemented\n");
 }
@@ -856,7 +856,7 @@
 
 static void
 
-htcpHandleTst(htcpDataHeader * hdr, char *buf, int sz, struct sockaddr_in *from)
+htcpHandleTst(htcpDataHeader * hdr, char *buf, int sz, struct SOCKADDR_IN *from)
 {
     debug(31, 3) ("htcpHandleTst: sz = %d\n", (int) sz);
 
@@ -871,7 +871,7 @@
 
 static void
 
-htcpHandleTstResponse(htcpDataHeader * hdr, char *buf, int sz, struct sockaddr_in *from)
+htcpHandleTstResponse(htcpDataHeader * hdr, char *buf, int sz, struct SOCKADDR_IN *from)
 {
     htcpReplyData htcpReply;
     cache_key *key = NULL;
@@ -922,7 +922,7 @@
 
 static void
 
-htcpHandleTstRequest(htcpDataHeader * dhdr, char *buf, int sz, struct sockaddr_in *from)
+htcpHandleTstRequest(htcpDataHeader * dhdr, char *buf, int sz, struct SOCKADDR_IN *from)
 {
     /* buf should be a SPECIFIER */
     htcpSpecifier *s;
@@ -970,21 +970,21 @@
 
 static void
 
-htcpHandleMon(htcpDataHeader * hdr, char *buf, int sz, struct sockaddr_in *from)
+htcpHandleMon(htcpDataHeader * hdr, char *buf, int sz, struct SOCKADDR_IN *from)
 {
     debug(31, 3) ("htcpHandleMon: Unimplemented\n");
 }
 
 static void
 
-htcpHandleSet(htcpDataHeader * hdr, char *buf, int sz, struct sockaddr_in *from)
+htcpHandleSet(htcpDataHeader * hdr, char *buf, int sz, struct SOCKADDR_IN *from)
 {
     debug(31, 3) ("htcpHandleSet: Unimplemented\n");
 }
 
 static void
 
-htcpHandleData(char *buf, int sz, struct sockaddr_in *from)
+htcpHandleData(char *buf, int sz, struct SOCKADDR_IN *from)
 {
     htcpDataHeader hdr;
     assert (sz >= 0);
@@ -1004,7 +1004,7 @@
     if (hdr.opcode >= HTCP_END)
     {
         debug(31, 0) ("htcpHandleData: client %s, opcode %d out of range\n",
-                      inet_ntoa(from->sin_addr),
+                      INET_NTOA(from->sin_addr),
                       (int) hdr.opcode);
         return;
     }
@@ -1057,7 +1057,7 @@
 
     case HTCP_CLR:
         debug(31, 1) ("htcpHandleData: client %s, CLR not supported\n",
-                      inet_ntoa(from->sin_addr));
+                      INET_NTOA(from->sin_addr));
         break;
 
     default:
@@ -1068,7 +1068,7 @@
 
 static void
 
-htcpHandle(char *buf, int sz, struct sockaddr_in *from)
+htcpHandle(char *buf, int sz, struct SOCKADDR_IN *from)
 {
     htcpHeader htcpHdr;
     assert (sz >= 0);
@@ -1090,7 +1090,7 @@
     {
         debug(31, 1) ("htcpHandle: sz/%d != htcpHdr.length/%d from %s:%d\n",
                       sz, htcpHdr.length,
-                      inet_ntoa(from->sin_addr), (int) ntohs(from->sin_port));
+                      INET_NTOA(from->sin_addr), (int) ntohs(from->sin_port));
         return;
     }
 
@@ -1105,14 +1105,14 @@
     static char buf[8192];
     int len;
 
-    static struct sockaddr_in from;
+    static struct SOCKADDR_IN from;
 
-    socklen_t flen = sizeof(struct sockaddr_in);
+    socklen_t flen = sizeof(struct SOCKADDR_IN);
     memset(&from, '\0', flen);
 
     len = comm_udp_recvfrom(fd, buf, 8192, 0, (struct sockaddr *) &from, &flen);
     debug(31, 3) ("htcpRecv: FD %d, %d bytes from %s:%d\n",
-                  fd, len, inet_ntoa(from.sin_addr), ntohs(from.sin_port));
+                  fd, len, INET_NTOA(from.sin_addr), ntohs(from.sin_port));
 
     if (len)
         statCounter.htcp.pkts_recv++;
Index: squid3/src/htcp.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/htcp.h,v
retrieving revision 1.4
retrieving revision 1.4.8.1
diff -u -r1.4 -r1.4.8.1
--- squid3/src/htcp.h	11 Aug 2003 02:13:03 -0000	1.4
+++ squid3/src/htcp.h	25 Apr 2005 13:39:00 -0000	1.4.8.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: htcp.h,v 1.4 2003/08/11 02:13:03 squidadm Exp $
+ * $Id: htcp.h,v 1.4.8.1 2005/04/25 13:39:00 rmartinez Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -60,7 +60,7 @@
 
 typedef class HtcpReplyData htcpReplyData;
 
-SQUIDCEXTERN void neighborsHtcpReply(const cache_key *, htcpReplyData *, const struct sockaddr_in *);
+SQUIDCEXTERN void neighborsHtcpReply(const cache_key *, htcpReplyData *, const struct SOCKADDR_IN *);
 SQUIDCEXTERN void htcpInit(void);
 SQUIDCEXTERN void htcpQuery(StoreEntry * e, HttpRequest * req, peer * p);
 SQUIDCEXTERN void htcpSocketShutdown(void);
Index: squid3/src/http.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/http.cc,v
retrieving revision 1.43.4.2
retrieving revision 1.43.4.3
diff -u -r1.43.4.2 -r1.43.4.3
--- squid3/src/http.cc	19 Apr 2005 10:58:16 -0000	1.43.4.2
+++ squid3/src/http.cc	25 Apr 2005 13:39:13 -0000	1.43.4.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: http.cc,v 1.43.4.2 2005/04/19 10:58:16 rmartinez Exp $
+ * $Id: http.cc,v 1.43.4.3 2005/04/25 13:39:13 rmartinez Exp $
  *
  * DEBUG: section 11    Hypertext Transfer Protocol (HTTP)
  * AUTHOR: Harvest Derived
@@ -1311,8 +1311,8 @@
     /* append X-Forwarded-For */
     strFwd = httpHeaderGetList(hdr_in, HDR_X_FORWARDED_FOR);
 
-    if (opt_forwarded_for && orig_request->client_addr.s_addr != no_addr.s_addr)
-        strListAdd(&strFwd, inet_ntoa(orig_request->client_addr), ',');
+    if (opt_forwarded_for && !ADDR_IS_NOADDR(orig_request->client_addr))
+        strListAdd(&strFwd, INET_NTOA(orig_request->client_addr), ',');
     else
         strListAdd(&strFwd, "unknown", ',');
 
@@ -1830,7 +1830,7 @@
         if (httpState->reply_hdr_state >= 2 && !httpState->flags.abuse_detected) {
             httpState->flags.abuse_detected = 1;
             debug(11, 1) ("httpSendRequestEntryDone: Likely proxy abuse detected '%s' -> '%s'\n",
-                          inet_ntoa(httpState->orig_request->client_addr),
+                          INET_NTOA(httpState->orig_request->client_addr),
                           storeUrl(httpState->entry));
 
             if (httpState->entry->getReply()->sline.status == HTTP_INVALID_HEADER) {
Index: squid3/src/icmp.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/icmp.cc,v
retrieving revision 1.8.8.1
retrieving revision 1.8.8.2
diff -u -r1.8.8.1 -r1.8.8.2
--- squid3/src/icmp.cc	19 Apr 2005 10:58:16 -0000	1.8.8.1
+++ squid3/src/icmp.cc	25 Apr 2005 13:39:23 -0000	1.8.8.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: icmp.cc,v 1.8.8.1 2005/04/19 10:58:16 rmartinez Exp $
+ * $Id: icmp.cc,v 1.8.8.2 2005/04/25 13:39:23 rmartinez Exp $
  *
  * DEBUG: section 37    ICMP Routines
  * AUTHOR: Duane Wessels
@@ -49,7 +49,7 @@
 static void icmpSend(pingerEchoData * pkt, int len);
 #if ALLOW_SOURCE_PING
 
-static void icmpHandleSourcePing(const struct sockaddr_in *from, const char *buf);
+static void icmpHandleSourcePing(const struct SOCKADDR_IN *from, const char *buf);
 #endif
 
 static void
@@ -81,7 +81,7 @@
     static int fail_count = 0;
     pingerReplyData preply;
 
-    static struct sockaddr_in F;
+    static struct SOCKADDR_IN F;
     commSetSelect(icmp_sock, COMM_SELECT_READ, icmpRecv, NULL, 0);
     memset(&preply, '\0', sizeof(pingerReplyData));
     n = comm_udp_recv(icmp_sock,
@@ -103,11 +103,11 @@
     if (n == 0)			/* test probe from pinger */
         return;
 
-    F.sin_family = AF_INET;
+    FAMILY_FROM_SA(F) = AF_INET;
 
     F.sin_addr = preply.from;
 
-    F.sin_port = 0;
+    PORT_FROM_SA(F) = 0;
 
     switch (preply.opcode) {
 
@@ -139,7 +139,7 @@
         return;
 
     debug(37, 2) ("icmpSend: to %s, opcode %d, len %d\n",
-                  inet_ntoa(pkt->to), (int) pkt->opcode, pkt->psize);
+                  INET_NTOA(pkt->to), (int) pkt->opcode, pkt->psize);
 
     x = comm_udp_send(icmp_sock, (char *) pkt, len, 0);
 
@@ -158,7 +158,7 @@
 #if ALLOW_SOURCE_PING
 static void
 
-icmpHandleSourcePing(const struct sockaddr_in *from, const char *buf)
+icmpHandleSourcePing(const struct SOCKADDR_IN *from, const char *buf)
 {
     const cache_key *key;
     icp_common_t header;
@@ -167,7 +167,7 @@
     url = buf + sizeof(icp_common_t);
     key = icpGetCacheKey(url, (int) header.reqnum);
     debug(37, 3) ("icmpHandleSourcePing: from %s, key '%s'\n",
-                  inet_ntoa(from->sin_addr), storeKeyText(key));
+                  INET_NTOA(from->sin_addr), storeKeyText(key));
     /* call neighborsUdpAck even if ping_status != PING_WAITING */
     neighborsUdpAck(key, &header, from);
 }
Index: squid3/src/icp_v2.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/icp_v2.cc,v
retrieving revision 1.17.8.1
retrieving revision 1.17.8.2
diff -u -r1.17.8.1 -r1.17.8.2
--- squid3/src/icp_v2.cc	19 Apr 2005 10:58:16 -0000	1.17.8.1
+++ squid3/src/icp_v2.cc	25 Apr 2005 13:39:33 -0000	1.17.8.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: icp_v2.cc,v 1.17.8.1 2005/04/19 10:58:16 rmartinez Exp $
+ * $Id: icp_v2.cc,v 1.17.8.2 2005/04/25 13:39:33 rmartinez Exp $
  *
  * DEBUG: section 12    Internet Cache Protocol
  * AUTHOR: Duane Wessels
@@ -44,7 +44,7 @@
 
 static void icpLogIcp(struct IN_ADDR, log_type, int, const char *, int);
 
-static void icpHandleIcpV2(int, struct sockaddr_in, char *, int);
+static void icpHandleIcpV2(int, struct SOCKADDR_IN, char *, int);
 static void icpCount(void *, int, size_t, int);
 
 /*
@@ -252,7 +252,7 @@
 int
 icpUdpSend(int fd,
 
-           const struct sockaddr_in *to,
+           const struct SOCKADDR_IN *to,
            icp_common_t * msg,
            log_type logcode,
            int delay)
@@ -265,7 +265,7 @@
                   fd,
                   icp_opcode_str[msg->opcode],
                   len,
-                  inet_ntoa(to->sin_addr),
+                  INET_NTOA(to->sin_addr),
                   ntohs(to->sin_port));
     x = comm_udp_sendto(fd, to, sizeof(*to), msg, len);
 
@@ -364,7 +364,7 @@
 
 void
 
-icpCreateAndSend(icp_opcode opcode, int flags, char const *url, int reqnum, int pad, int fd, const struct sockaddr_in *from)
+icpCreateAndSend(icp_opcode opcode, int flags, char const *url, int reqnum, int pad, int fd, const struct SOCKADDR_IN *from)
 {
     icp_common_t *reply = _icp_common_t::createMessage(opcode, flags, url, reqnum, pad);
     icpUdpSend(fd, from, reply, icpLogFromICPCode(opcode), 0);
@@ -372,10 +372,10 @@
 
 void
 
-icpDenyAccess(struct sockaddr_in *from, char *url, int reqnum, int fd)
+icpDenyAccess(struct SOCKADDR_IN *from, char *url, int reqnum, int fd)
 {
     debug(12, 2) ("icpDenyAccess: Access Denied for %s by %s.\n",
-                  inet_ntoa(from->sin_addr), AclMatchedName);
+                  INET_NTOA(from->sin_addr), AclMatchedName);
 
     if (clientdbCutoffDenied(from->sin_addr))
     {
@@ -392,7 +392,7 @@
 
 int
 
-icpAccessAllowed(struct sockaddr_in *from, HttpRequest * icp_request)
+icpAccessAllowed(struct SOCKADDR_IN *from, HttpRequest * icp_request)
 {
     ACLChecklist checklist;
     checklist.src_addr = from->sin_addr;
@@ -415,7 +415,7 @@
 
 HttpRequest *
 
-icpGetRequest(char *url, int reqnum, int fd, struct sockaddr_in * from)
+icpGetRequest(char *url, int reqnum, int fd, struct SOCKADDR_IN * from)
 {
     if (strpbrk(url, w_space))
     {
@@ -435,7 +435,7 @@
 
 static void
 
-doV2Query(int fd, struct sockaddr_in from, char *buf, icp_common_t header)
+doV2Query(int fd, struct SOCKADDR_IN from, char *buf, icp_common_t header)
 {
     int rtt = 0;
     int src_rtt = 0;
@@ -484,12 +484,12 @@
 
 void
 
-_icp_common_t::handleReply(char *buf, struct sockaddr_in *from)
+_icp_common_t::handleReply(char *buf, struct SOCKADDR_IN *from)
 {
     if (neighbors_do_private_keys && reqnum == 0)
     {
         debug(12, 0) ("icpHandleIcpV2: Neighbor %s returned reqnum = 0\n",
-                      inet_ntoa(from->sin_addr));
+                      INET_NTOA(from->sin_addr));
         debug(12, 0) ("icpHandleIcpV2: Disabling use of private keys\n");
         neighbors_do_private_keys = 0;
     }
@@ -497,7 +497,7 @@
     char *url = buf + sizeof(icp_common_t);
     debug(12, 3) ("icpHandleIcpV2: %s from %s for '%s'\n",
                   icp_opcode_str[opcode],
-                  inet_ntoa(from->sin_addr),
+                  INET_NTOA(from->sin_addr),
                   url);
     const cache_key *key = icpGetCacheKey(url, (int) reqnum);
     /* call neighborsUdpAck even if ping_status != PING_WAITING */
@@ -506,7 +506,7 @@
 
 static void
 
-icpHandleIcpV2(int fd, struct sockaddr_in from, char *buf, int len)
+icpHandleIcpV2(int fd, struct SOCKADDR_IN from, char *buf, int len)
 {
     if (len <= 0)
     {
@@ -556,7 +556,7 @@
 
     default:
         debug(12, 0) ("icpHandleIcpV2: UNKNOWN OPCODE: %d from %s\n",
-                      header.opcode, inet_ntoa(from.sin_addr));
+                      header.opcode, INET_NTOA(from.sin_addr));
         break;
     }
 }
@@ -576,7 +576,7 @@
     debug(12, 9) ("reqnum:  %-8d\n", ntohl(pkt->reqnum));
     debug(12, 9) ("flags:   %-8x\n", ntohl(pkt->flags));
     a.s_addr = pkt->shostid;
-    debug(12, 9) ("shostid: %s\n", inet_ntoa(a));
+    debug(12, 9) ("shostid: %s\n", INET_NTOA(a));
     debug(12, 9) ("payload: %s\n", (char *) pkt + sizeof(icp_common_t));
 }
 
@@ -587,7 +587,7 @@
 {
     int *N = &incoming_sockets_accepted;
 
-    struct sockaddr_in from;
+    struct SOCKADDR_IN from;
     socklen_t from_len;
     LOCAL_ARRAY(char, buf, SQUID_UDP_SO_RCVBUF);
     size_t len;
@@ -633,7 +633,7 @@
         debug(12, 4) ("icpHandleUdp: FD %d: received %lu bytes from %s.\n",
                       sock,
                       (unsigned long int)len,
-                      inet_ntoa(from.sin_addr));
+                      INET_NTOA(from.sin_addr));
 #ifdef ICP_PACKET_DUMP
 
         icpPktDump(buf);
@@ -653,7 +653,7 @@
         else
             debug(12, 1) ("WARNING: Unused ICP version %d received from %s:%d\n",
                           icp_version,
-                          inet_ntoa(from.sin_addr),
+                          INET_NTOA(from.sin_addr),
                           ntohs(from.sin_port));
     }
 }
@@ -665,7 +665,7 @@
 
     struct IN_ADDR addr;
 
-    struct sockaddr_in xaddr;
+    struct SOCKADDR_IN xaddr;
     int x;
     socklen_t len;
     wordlist *s;
@@ -697,7 +697,7 @@
         ipcache_nbgethostbyname(s->key, mcastJoinGroups, NULL);
 
     debug(12, 1) ("Accepting ICP messages at %s, port %d, FD %d.\n",
-                  inet_ntoa(Config.Addrs.udp_incoming),
+                  INET_NTOA(Config.Addrs.udp_incoming),
                   (int) port, theInIcpConnection);
 
     if ((addr = Config.Addrs.udp_outgoing).s_addr != no_addr.s_addr) {
@@ -731,7 +731,7 @@
 
     memset(&theOutICPAddr, '\0', sizeof(struct IN_ADDR));
 
-    len = sizeof(struct sockaddr_in);
+    len = sizeof(struct SOCKADDR_IN);
     memset(&xaddr, '\0', len);
     x = getsockname(theOutIcpConnection,
 
Index: squid3/src/icp_v3.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/icp_v3.cc,v
retrieving revision 1.5
retrieving revision 1.5.8.1
diff -u -r1.5 -r1.5.8.1
--- squid3/src/icp_v3.cc	11 Aug 2003 02:13:03 -0000	1.5
+++ squid3/src/icp_v3.cc	25 Apr 2005 13:39:43 -0000	1.5.8.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: icp_v3.cc,v 1.5 2003/08/11 02:13:03 squidadm Exp $
+ * $Id: icp_v3.cc,v 1.5.8.1 2005/04/25 13:39:43 rmartinez Exp $
  *
  * DEBUG: section 12    Internet Cache Protocol
  * AUTHOR: Duane Wessels
@@ -50,7 +50,7 @@
 
 static void
 
-doV3Query(int fd, struct sockaddr_in from, char *buf, icp_common_t header)
+doV3Query(int fd, struct SOCKADDR_IN from, char *buf, icp_common_t header)
 {
     /* We have a valid packet */
     char *url = buf + sizeof(icp_common_t) + sizeof(u_int32_t);
@@ -106,7 +106,7 @@
 /* Currently Harvest cached-2.x uses ICP_VERSION_3 */
 void
 
-icpHandleIcpV3(int fd, struct sockaddr_in from, char *buf, int len)
+icpHandleIcpV3(int fd, struct SOCKADDR_IN from, char *buf, int len)
 {
     if (len <= 0)
     {
@@ -155,7 +155,7 @@
 
     default:
         debug(12, 0) ("icpHandleIcpV3: UNKNOWN OPCODE: %d from %s\n",
-                      header.opcode, inet_ntoa(from.sin_addr));
+                      header.opcode, INET_NTOA(from.sin_addr));
         break;
     }
 }
Index: squid3/src/ident.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/ident.cc,v
retrieving revision 1.11
retrieving revision 1.11.8.1
diff -u -r1.11 -r1.11.8.1
--- squid3/src/ident.cc	4 Mar 2003 03:14:45 -0000	1.11
+++ squid3/src/ident.cc	25 Apr 2005 13:40:01 -0000	1.11.8.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ident.cc,v 1.11 2003/03/04 03:14:45 squidadm Exp $
+ * $Id: ident.cc,v 1.11.8.1 2005/04/25 13:40:01 rmartinez Exp $
  *
  * DEBUG: section 30    Ident (RFC 931)
  * AUTHOR: Duane Wessels
@@ -54,9 +54,9 @@
     hash_link hash;		/* must be first */
     int fd;			/* IDENT fd */
 
-    struct sockaddr_in me;
+    struct SOCKADDR_IN me;
 
-    struct sockaddr_in my_peer;
+    struct SOCKADDR_IN my_peer;
     IdentClient *clients;
     char buf[4096];
 }
@@ -106,7 +106,7 @@
 {
     IdentStateData *state = (IdentStateData *)data;
     debug(30, 3) ("identTimeout: FD %d, %s\n", fd,
-                  inet_ntoa(state->my_peer.sin_addr));
+                  INET_NTOA(state->my_peer.sin_addr));
     comm_close(fd);
 }
 
@@ -211,7 +211,7 @@
  */
 void
 
-identStart(struct sockaddr_in *me, struct sockaddr_in *my_peer, IDCB * callback, void *data)
+identStart(struct SOCKADDR_IN *me, struct SOCKADDR_IN *my_peer, IDCB * callback, void *data)
 {
     IdentStateData *state;
     int fd;
@@ -219,10 +219,10 @@
     char key2[IDENT_KEY_SZ];
     char key[IDENT_KEY_SZ];
     snprintf(key1, IDENT_KEY_SZ, "%s:%d",
-             inet_ntoa(me->sin_addr),
+             INET_NTOA(me->sin_addr),
              ntohs(me->sin_port));
     snprintf(key2, IDENT_KEY_SZ, "%s:%d",
-             inet_ntoa(my_peer->sin_addr),
+             INET_NTOA(my_peer->sin_addr),
              ntohs(my_peer->sin_port));
     snprintf(key, IDENT_KEY_SZ, "%s,%s", key1, key2);
 
@@ -259,7 +259,7 @@
                            state);
     commSetTimeout(fd, Config.Timeout.ident, identTimeout, state);
     commConnectStart(fd,
-                     inet_ntoa(state->my_peer.sin_addr),
+                     INET_NTOA(state->my_peer.sin_addr),
                      IDENT_PORT,
                      identConnectDone,
                      state);
